summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMike Frysinger <vapier@gentoo.org>2012-12-29 06:44:03 +0000
committerMike Frysinger <vapier@gentoo.org>2012-12-29 06:44:03 +0000
commit95fe0443e834fadf25cbe93d9d68e094a0c860ce (patch)
treeaed4fda20e43c147774d5a6bf09c2515a884f7c9 /eclass/toolchain.eclass
parentonly mess with libffi stuff with gcc-3.1+ (diff)
downloadgentoo-2-95fe0443e834fadf25cbe93d9d68e094a0c860ce.tar.gz
gentoo-2-95fe0443e834fadf25cbe93d9d68e094a0c860ce.tar.bz2
gentoo-2-95fe0443e834fadf25cbe93d9d68e094a0c860ce.zip
change `use doc` to `use_if_iuse doc` since not all gcc versions have USE=doc
Diffstat (limited to 'eclass/toolchain.eclass')
-rw-r--r--eclass/toolchain.eclass4
1 files changed, 2 insertions, 2 deletions
diff --git a/eclass/toolchain.eclass b/eclass/toolchain.eclass
index 56fcd09cb700..c521c606e945 100644
--- a/eclass/toolchain.eclass
+++ b/eclass/toolchain.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/toolchain.eclass,v 1.564 2012/12/29 06:41:15 vapier Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/toolchain.eclass,v 1.565 2012/12/29 06:44:03 vapier Exp $
#
# Maintainer: Toolchain Ninjas <toolchain@gentoo.org>
@@ -1332,7 +1332,7 @@ gcc_do_make() {
${GCC_MAKE_TARGET} \
|| die "emake failed with ${GCC_MAKE_TARGET}"
- if ! is_crosscompile && use cxx && use doc ; then
+ if ! is_crosscompile && use cxx && use_if_iuse doc ; then
if type -p doxygen > /dev/null ; then
if tc_version_is_at_least 4.3 ; then
cd "${CTARGET}"/libstdc++-v3/doc